MODULE Debug;

IMPORT LRN, Wr, Thread, Fmt;
FROM Stdio IMPORT stderr;

PROCEDURE Line(txt: TEXT) =
  <* FATAL Wr.Failure, Thread.Alerted *>
  BEGIN
    Wr.PutText(stderr, txt);
    Wr.PutText(stderr, "\n");
  END Line;

PROCEDURE LongReal(txt: TEXT; READONLY x: LRN.T) =
  <* FATAL Wr.Failure, Thread.Alerted *>
  BEGIN
    Wr.PutText(stderr, txt);
    FOR i := 0 TO LAST(x) DO
      Wr.PutText(stderr, Fmt.Pad(Fmt.LongReal(x[i], Fmt.Style.Sci, 6), 15))
    END;
    Wr.PutText(stderr, "\n")
  END LongReal;

PROCEDURE Char(c: CHAR) =
  <* FATAL Wr.Failure, Thread.Alerted *>
  BEGIN
    Wr.PutChar(stderr, c);
  END Char;

BEGIN
END Debug.
