INTERFACE ElectEnergy;
IMPORT Energy;
TYPE
  T <: Public;
  Public = Energy.T OBJECT 
      fuzz: REAL := 0.50;  (* Relative charge radius *)
    METHODS
      init(): T;
    END;
    (*
      The "Elect" energy is computed assuming a fuzzy charge centered
      at the barycenter of each triangle.  The radius of the charge
      cloud is "fuzz" times the triangle's approximate radius. *)
  
END ElectEnergy.
