INTERFACE PAreaEnergy;
IMPORT Energy;
TYPE
  T <: Public;
  Public = Energy.T OBJECT 
      area: REAL;     (* The ideal area of each patch *)
    METHODS
      init(): T;
    END;
  (*
    The "PArea" energy measures whether the total measure
    of each surface patch is close to the nominal "area". 
    
    By definition, the surface patch with number "i" is the set of
    all faces that exist, have three sides, and have "patch"
    field equal to "i".
  *)
  
END PAreaEnergy.
