GENERIC INTERFACE Matrix3x3Extras(VRep, MRep);
(*
  Linear map operations specific to 3-dimensional vector spaces: *)

PROCEDURE Rotation(
    angle: LONGREAL;
    READONLY Axis: VRep.T;
    scale: LONGREAL := 1.0d0
  ): MRep.T;
  (*
    A matrix that performs rotation by "angle" radians
    clockwise around an axis with the given "axis"
    vector, combined with uniform magnification
    by the given "scale" factor. *)
    
END Matrix3x3Extras.
