GENERIC INTERFACE Vector3Extras(VRep);
(*
  Vector operations specific to 3-dimensional vector spaces: *)

PROCEDURE Det(READONLY a, b, c: VRep.T): LONGREAL;
  (*
    Returns the determinant of the matrix whose rows are "a", "b", "c". *)

PROCEDURE Cross(READONLY a, b: VRep.T): VRep.T;
  (*
    The cross product of "a" and "b". *)
    
END Vector3Extras.
