INTERFACE ExcenEnergy;
IMPORT Energy;
TYPE 
  T <: Public;
  Public = Energy.T OBJECT METHODS
      init(): T;
    END;
  (*
    The "Excen" energy measures the excentricity of each vertex
    relative to its immediat eneighbors. It is the sum over every existing
    vertex "v" of the distance squared between "v" and the barycenter of
    the effective neighbors of "v".
    
    An 'effective neighbor' of "v" is a vertex that exists and is connected to
    "v" by an edge that exists. *)
  
END ExcenEnergy.
