INTERFACE ParseEnergyParams;
IMPORT ParseParams;
IMPORT MixedEnergy;

CONST Help = 
    "  [ -energy <wt> Curv ] \\\n" &
    "  [ -energy <wt> Poten ] \\\n" &   
    "  [ -energy <wt> Excen ] \\\n" &
    "  [ -energy <wt> Corner ] \\\n" &
    "  [ -energy <wt> Elect [ fuzz <num> ] ] \\\n" &
    "  [ -energy <wt> PArea [ area <num> ] ]"; 

PROCEDURE Parse(pp: ParseParams.T): MixedEnergy.T RAISES {ParseParams.Error};
  (*
    Parses an energy combination from the command line parameters.
    The syntax is as shown in the "Help" string above.

    Must be called between "pp.beginParsing" and 
    "pp.endParsing".  If no terms are specified returns NIL. *)

END ParseEnergyParams. 
 
